Read an XLSX spreadsheet
curl --request POST \
--url https://api.quiva.ai/file-generator/xlsx-read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bucket": "<unknown>",
"key": "<unknown>"
}
'import requests
url = "https://api.quiva.ai/file-generator/xlsx-read"
payload = {
"bucket": "<unknown>",
"key": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bucket: '<unknown>', key: '<unknown>'})
};
fetch('https://api.quiva.ai/file-generator/xlsx-read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/file-generator/xlsx-read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bucket' => '<unknown>',
'key' => '<unknown>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/file-generator/xlsx-read"
payload := strings.NewReader("{\n \"bucket\": \"<unknown>\",\n \"key\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/file-generator/xlsx-read")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bucket\": \"<unknown>\",\n \"key\": \"<unknown>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/file-generator/xlsx-read")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bucket\": \"<unknown>\",\n \"key\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": "\"key\" is required"
}{
"error": "Authorization header with a bearer token is required"
}Generation
Read an XLSX spreadsheet
Read an existing XLSX spreadsheet’s facets - values, formulas, named ranges, fills, comments, validation - without returning the file. Required fields: bucket, key. Optional: sheets (names), range (e.g. “A1:F40”), include (facet names; default values, formulas, fills).
POST
/
file-generator
/
xlsx-read
Read an XLSX spreadsheet
curl --request POST \
--url https://api.quiva.ai/file-generator/xlsx-read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bucket": "<unknown>",
"key": "<unknown>"
}
'import requests
url = "https://api.quiva.ai/file-generator/xlsx-read"
payload = {
"bucket": "<unknown>",
"key": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bucket: '<unknown>', key: '<unknown>'})
};
fetch('https://api.quiva.ai/file-generator/xlsx-read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/file-generator/xlsx-read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bucket' => '<unknown>',
'key' => '<unknown>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/file-generator/xlsx-read"
payload := strings.NewReader("{\n \"bucket\": \"<unknown>\",\n \"key\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/file-generator/xlsx-read")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bucket\": \"<unknown>\",\n \"key\": \"<unknown>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/file-generator/xlsx-read")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bucket\": \"<unknown>\",\n \"key\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": "\"key\" is required"
}{
"error": "Authorization header with a bearer token is required"
}